Package ru.bitel.bgbilling.modules.phone.server.bean

# Class Report

java.lang.Object
ru.bitel.bgbilling.modules.phone.server.bean.Report

    public final class Report
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Report()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getClientItem()` |
  `int` | `getClientItemId()` |
  `java.math.BigDecimal` | `getCost()` |
  `int` | `getDestCode()` |
  `java.lang.String` | `getDestination()` |
  `int` | `getNumber()` |
  `java.util.List<java.lang.String>` | `getNumberList()` |
  `java.util.List<java.lang.String>` | `getPortList()` |
  `int` | `getTime()` |
  `int` | `getTimeRound()` |
  `void` | `setClientItem​(java.lang.String point)` |
  `void` | `setClientItemId​(int clientItemId)` |
  `void` | `setCost​(java.math.BigDecimal cost)` |
  `void` | `setDestCode​(int destCode)` |
  `void` | `setDestination​(java.lang.String destination)` |
  `void` | `setNumber​(int number)` |
  `void` | `setNumberList​(java.util.List<java.lang.String> numberList)` |
  `void` | `setPortList​(java.util.List<java.lang.String> portList)` |
  `void` | `setTime​(int time)` |
  `void` | `setTimeRound​(int timeRound)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Report

    public Report()

- ## Method Details

  - ### getNumberList

    public java.util.List<java.lang.String> getNumberList()

  - ### setNumberList

    public void setNumberList​(java.util.List<java.lang.String> numberList)

  - ### getPortList

    public java.util.List<java.lang.String> getPortList()

  - ### setPortList

    public void setPortList​(java.util.List<java.lang.String> portList)

  - ### getTimeRound

    public int getTimeRound()

  - ### setTimeRound

    public void setTimeRound​(int timeRound)

  - ### getClientItemId

    public int getClientItemId()

  - ### setClientItemId

    public void setClientItemId​(int clientItemId)

  - ### getCost

    public java.math.BigDecimal getCost()

  - ### setCost

    public void setCost​(java.math.BigDecimal cost)

  - ### getDestCode

    public int getDestCode()

  - ### setDestCode

    public void setDestCode​(int destCode)

  - ### getDestination

    public java.lang.String getDestination()

  - ### setDestination

    public void setDestination​(java.lang.String destination)

  - ### getNumber

    public int getNumber()

  - ### setNumber

    public void setNumber​(int number)

  - ### getClientItem

    public java.lang.String getClientItem()

  - ### setClientItem

    public void setClientItem​(java.lang.String point)

  - ### getTime

    public int getTime()

  - ### setTime

    public void setTime​(int time)